# Index

Symbols | C | N | O | P | R | U

## Symbols

- --aggregate
  - openstack-resource-provider-aggregate-set command line option
  - openstack-resource-provider-inventory-set command line option
- --allocation
  - openstack-resource-provider-allocation-set command line option
- --allocation_ratio
  - openstack-resource-provider-inventory-class-set command line option
- --allocations
  - openstack-resource-provider-show command line option
- --amend
  - openstack-resource-provider-inventory-set command line option
- --associated
  - openstack-trait-list command line option
- --consumer-type
  - openstack-resource-provider-allocation-set command line option
- --dry-run
  - openstack-resource-provider-inventory-set command line option
- --forbidden
  - openstack-allocation-candidate-list command line option
  - openstack-resource-provider-list command line option
- --generation
  - openstack-resource-provider-aggregate-set command line option
- --group
  - openstack-allocation-candidate-list command line option
- --group-policy
  - openstack-allocation-candidate-list command line option
- --in-tree
  - openstack-resource-provider-list command line option
- --limit
  - openstack-allocation-candidate-list command line option
- --max_unit
  - openstack-resource-provider-inventory-class-set command line option
- --member-of
  - openstack-allocation-candidate-list command line option
  - openstack-resource-provider-list command line option
- --min_unit
  - openstack-resource-provider-inventory-class-set command line option
- --name
  - openstack-resource-provider-list command line option
  - openstack-resource-provider-set command line option
  - openstack-trait-list command line option
- --parent-provider
  - openstack-resource-provider-create command line option
  - openstack-resource-provider-set command line option
- --project-id
  - openstack-resource-provider-allocation-set command line option
- --provider
  - openstack-resource-provider-allocation-unset command line option
- --required
  - openstack-allocation-candidate-list command line option
  - openstack-resource-provider-list command line option
- --reserved
  - openstack-resource-provider-inventory-class-set command line option
- --resource
  - openstack-allocation-candidate-list command line option
  - openstack-resource-provider-inventory-set command line option
  - openstack-resource-provider-list command line option
- --resource-class
  - openstack-resource-provider-allocation-unset command line option
  - openstack-resource-provider-inventory-delete command line option

- --sort-ascending
  - openstack-allocation-candidate-list command line option
  - openstack-resource-class-list command line option
  - openstack-resource-provider-aggregate-list command line option
  - openstack-resource-provider-aggregate-set command line option
  - openstack-resource-provider-allocation-set command line option
  - openstack-resource-provider-allocation-show command line option
  - openstack-resource-provider-allocation-unset command line option
  - openstack-resource-provider-inventory-list command line option
  - openstack-resource-provider-inventory-set command line option
  - openstack-resource-provider-list command line option
  - openstack-resource-provider-trait-list command line option
  - openstack-resource-provider-trait-set command line option
  - openstack-resource-provider-usage-show command line option
  - openstack-resource-usage-show command line option
  - openstack-trait-list command line option
- --sort-column
  - openstack-allocation-candidate-list command line option
  - openstack-resource-class-list command line option
  - openstack-resource-provider-aggregate-list command line option
  - openstack-resource-provider-aggregate-set command line option
  - openstack-resource-provider-allocation-set command line option
  - openstack-resource-provider-allocation-show command line option
  - openstack-resource-provider-allocation-unset command line option
  - openstack-resource-provider-inventory-list command line option
  - openstack-resource-provider-inventory-set command line option
  - openstack-resource-provider-list command line option
  - openstack-resource-provider-trait-list command line option
  - openstack-resource-provider-trait-set command line option
  - openstack-resource-provider-usage-show command line option
  - openstack-resource-usage-show command line option
  - openstack-trait-list command line option
- --sort-descending
  - openstack-allocation-candidate-list command line option
  - openstack-resource-class-list command line option
  - openstack-resource-provider-aggregate-list command line option
  - openstack-resource-provider-aggregate-set command line option
  - openstack-resource-provider-allocation-set command line option
  - openstack-resource-provider-allocation-show command line option
  - openstack-resource-provider-allocation-unset command line option
  - openstack-resource-provider-inventory-list command line option
  - openstack-resource-provider-inventory-set command line option
  - openstack-resource-provider-list command line option
  - openstack-resource-provider-trait-list command line option
  - openstack-resource-provider-trait-set command line option
  - openstack-resource-provider-usage-show command line option
  - openstack-resource-usage-show command line option
  - openstack-trait-list command line option
- --step_size
  - openstack-resource-provider-inventory-class-set command line option
- --total
  - openstack-resource-provider-inventory-class-set command line option
- --trait
  - openstack-resource-provider-trait-set command line option
- --user-id
  - openstack-resource-provider-allocation-set command line option
  - openstack-resource-usage-show command line option
- --uuid
  - openstack-resource-provider-create command line option
  - openstack-resource-provider-list command line option

## C

- class
  - openstack-resource-provider-inventory-class-set command line option

- consumer_uuid
  - openstack-resource-provider-allocation-unset command line option

## N

- name
  - openstack-resource-class-create command line option
  - openstack-resource-class-delete command line option
  - openstack-resource-class-set command line option
  - openstack-resource-class-show command line option
  - openstack-resource-provider-create command line option
  - openstack-trait-create command line option
  - openstack-trait-delete command line option
  - openstack-trait-show command line option

## O

- openstack-allocation-candidate-list command line option
  - --forbidden
  - --group
  - --group-policy
  - --limit
  - --member-of
  - --required
  - --resource
  - --sort-ascending
  - --sort-column
  - --sort-descending
- openstack-resource-class-create command line option
  - name
- openstack-resource-class-delete command line option
  - name
- openstack-resource-class-list command line option
  - --sort-ascending
  - --sort-column
  - --sort-descending
- openstack-resource-class-set command line option
  - name
- openstack-resource-class-show command line option
  - name
- openstack-resource-provider-aggregate-list command line option
  - --sort-ascending
  - --sort-column
  - --sort-descending
  - uuid
- openstack-resource-provider-aggregate-set command line option
  - --aggregate
  - --generation
  - --sort-ascending
  - --sort-column
  - --sort-descending
  - uuid
- openstack-resource-provider-allocation-delete command line option
  - uuid
- openstack-resource-provider-allocation-set command line option
  - --allocation
  - --consumer-type
  - --project-id
  - --sort-ascending
  - --sort-column
  - --sort-descending
  - --user-id
  - uuid
- openstack-resource-provider-allocation-show command line option
  - --sort-ascending
  - --sort-column
  - --sort-descending
  - uuid
- openstack-resource-provider-allocation-unset command line option
  - --provider
  - --resource-class
  - --sort-ascending
  - --sort-column
  - --sort-descending
  - consumer_uuid
- openstack-resource-provider-create command line option
  - --parent-provider
  - --uuid
  - name
- openstack-resource-provider-delete command line option
  - uuid
- openstack-resource-provider-inventory-class-set command line option
  - --allocation_ratio
  - --max_unit
  - --min_unit
  - --reserved
  - --step_size
  - --total
  - class
  - uuid

- openstack-resource-provider-inventory-delete command line option
  - --resource-class
  - uuid
- openstack-resource-provider-inventory-list command line option
  - --sort-ascending
  - --sort-column
  - --sort-descending
  - uuid
- openstack-resource-provider-inventory-set command line option
  - --aggregate
  - --amend
  - --dry-run
  - --resource
  - --sort-ascending
  - --sort-column
  - --sort-descending
  - uuid
- openstack-resource-provider-inventory-show command line option
  - resource_class
  - uuid
- openstack-resource-provider-list command line option
  - --forbidden
  - --in-tree
  - --member-of
  - --name
  - --required
  - --resource
  - --sort-ascending
  - --sort-column
  - --sort-descending
  - --uuid
- openstack-resource-provider-set command line option
  - --name
  - --parent-provider
  - uuid
- openstack-resource-provider-show command line option
  - --allocations
  - uuid
- openstack-resource-provider-trait-delete command line option
  - uuid
- openstack-resource-provider-trait-list command line option
  - --sort-ascending
  - --sort-column
  - --sort-descending
  - uuid
- openstack-resource-provider-trait-set command line option
  - --sort-ascending
  - --sort-column
  - --sort-descending
  - --trait
  - uuid
- openstack-resource-provider-usage-show command line option
  - --sort-ascending
  - --sort-column
  - --sort-descending
  - uuid
- openstack-resource-usage-show command line option
  - --sort-ascending
  - --sort-column
  - --sort-descending
  - --user-id
  - project-uuid
- openstack-trait-create command line option
  - name
- openstack-trait-delete command line option
  - name
- openstack-trait-list command line option
  - --associated
  - --name
  - --sort-ascending
  - --sort-column
  - --sort-descending
- openstack-trait-show command line option
  - name

## P

- project-uuid
  - openstack-resource-usage-show command line option

## R

- resource_class
  - openstack-resource-provider-inventory-show command line option

## U

- uuid
  - openstack-resource-provider-aggregate-list command line option
  - openstack-resource-provider-aggregate-set command line option
  - openstack-resource-provider-allocation-delete command line option
  - openstack-resource-provider-allocation-set command line option
  - openstack-resource-provider-allocation-show command line option
  - openstack-resource-provider-delete command line option
  - openstack-resource-provider-inventory-class-set command line option
  - openstack-resource-provider-inventory-delete command line option
  - openstack-resource-provider-inventory-list command line option
  - openstack-resource-provider-inventory-set command line option
  - openstack-resource-provider-inventory-show command line option
  - openstack-resource-provider-set command line option
  - openstack-resource-provider-show command line option
  - openstack-resource-provider-trait-delete command line option
  - openstack-resource-provider-trait-list command line option
  - openstack-resource-provider-trait-set command line option
  - openstack-resource-provider-usage-show command line option

this page last updated: 2026-03-26 21:43:13

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug